%global	realname msn-pecan

Name:		purple-%{realname}
Version:	0.1.1
Release:	2%{?dist}
Summary:	Alternative MSN protocol plug-in for lib-purple 
Group:		Applications/Internet 
License:	GPLv2+
URL:		http://code.google.com/p/msn-pecan/ 
Source0:	http://msn-pecan.googlecode.com/files/%{realname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libpurple-devel
BuildRequires:	gettext
BuildRequires:	check-devel


%description
The project aims to have a much faster development process, low barrier for 
contributions, and close contact with the user-base.

Compared to Pidgin's official MSN plug-in:
	* Faster log-in
	* Fewer connection issues
	* Fewer crashes
	* Experimental direct connection support (fast file transfers)
	* Server-side storage for display names (private alias)
	* Support for handwritten messages (read-only)
	* Support for voice clips (receive-only)
	* Support for Plus! sounds (receive-only)
	* Option to hide Plus! tags 

Other features:
	* Support for personal status messages
	* Support for offline messaging (read-only)
	* Send custom emoticons (Pidgin >= 2.5) 


%prep
%setup -q -n %{realname}-%{version}

%build
#make CFLAGS="%{optflags}" %{?_smp_mflags} V=yes
make CFLAGS="%{optflags}" %{?_smp_mflags} Q="" 

%install
rm -rf $RPM_BUILD_ROOT
install -Dp -m 755 libmsn-pecan.so $RPM_BUILD_ROOT/%{_libdir}/purple-2/libmsn-pecan.so
make install_locales DESTDIR=$RPM_BUILD_ROOT Q=""
%find_lang libmsn-pecan 

%check
cd tests
make clean
make

%clean
rm -rf $RPM_BUILD_ROOT

%files -f libmsn-pecan.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING TODO README pidgin-copyright ChangeLog
%{_libdir}/purple-2/libmsn-pecan.so

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 30 2010 Edouard Bourguignon <madko@linuxed.net> - 0.1.1-1
- Update to 0.1.1.
- Corrected spelling-errors

* Wed Mar 31 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.1.0-1
- Update to 0.1.0.

* Sat Feb 13 2010 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.1.0-0.3.rc4
- Update to 0.1.0-rc4

* Tue Feb  9 2010 Edouard Bourguignon <madko@linuxed.net> - 0.1.0-0.3.rc3
- Update to 0.1.0-rc3

* Sat Jan 02 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.1.0-0.3.rc2
- Update to 0.1.0-rc2.
- Use macro for defining release candidate.

* Fri Dec 18 2009 Edouard Bourguignon <madko@linuxed.net> - 0.1.0-0.3.rc1
- patch to handle malformed data was not complete (bz #547836)

* Mon Dec 14 2009 Edouard Bourguignon <madko@linuxed.net> - 0.1.0-0.2.rc1
- Add Simone Contini's patch to handle malformed data in process_body_receive (bz #547078)

* Thu Aug 06 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.1.0-0.1.rc1
- Update to 0.1.0-rc1.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar  8 2009 Edouard Bourguignon <madko@linuxed.net> - 0.0.18-2
- Up-to-date description

* Sun Mar  8 2009 Edouard Bourguignon <madko@linuxed.net> - 0.0.18-1
- Upgrade to 0.0.18
- Patch russion translation file for missing plural line 348 in po/libmsn-pecan-ru.po

* Mon Jan 19 2009 Edouard Bourguignon <madko@linuxed.net> - 0.0.17-4
- Remove DEBUG make option
- V=1 changed to V=yes

* Sun Jan 18 2009 Edouard Bourguignon <madko@linuxed.net> - 0.0.17-3
- Add a check section
- Add make options V=1 DEBUG=1 to make build logs more verbose and debuginfo more usefull 

* Sun Jan 18 2009 Edouard Bourguignon <madko@linuxed.net> - 0.0.17-2
- Cosmetic fix about realname macro (added in Name item)
- Change license tag from GPLv2 to GPLv2+
- Add missing doc files
- Add translation files

* Wed Jan 14 2009 Edouard Bourguignon <madko@linuxed.net> - 0.0.17-1
- Upgrade to upstream version (0.0.17)
- Requires pidgin removed

* Fri Jun 13 2008 Edouard Bourguignon <edouard.bourguignon@oxalya.com> - 0.0.13-1
- Initial version
